#! /usr/bin/env python
#
#getspectrum.py
#
#Copyright (c) 2014 by Micron Optics, Inc.  All Rights Reserved
#
"""This example illustrates how to get a full spectrum from Hyperion
"""
import sys
try:
    import hyperion
except Exception:
    sys.path.append('../h.Library')
    import hyperion


channel = 1

h1 = hyperion.Hyperion('10.0.41.90')
spectrum = h1.get_spectrum(channel)

print len(h1.spectrum.data)
h1.comm.close()
